package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 资源文件对象 mall_upload_file
 * 
 * @author chang
 * @date 2021-11-25
 */
public class MallUploadFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 资源文件访问路径 */
    @Excel(name = "资源文件访问路径")
    private String filePath;

    /** 资源文件真实路径 */
    @Excel(name = "资源文件真实路径")
    private String fileRealPath;

    /** 资源ID */
    @Excel(name = "资源ID")
    private String resId;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setFilePath(String filePath) 
    {
        this.filePath = filePath;
    }

    public String getFilePath() 
    {
        return filePath;
    }
    public void setFileRealPath(String fileRealPath) 
    {
        this.fileRealPath = fileRealPath;
    }

    public String getFileRealPath() 
    {
        return fileRealPath;
    }
    public void setResId(String resId) 
    {
        this.resId = resId;
    }

    public String getResId() 
    {
        return resId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("filePath", getFilePath())
            .append("fileRealPath", getFileRealPath())
            .append("resId", getResId())
            .toString();
    }
}
